#!/bin/bash

# Zdrojová složka na HDD1
SOURCE_DIR="/mnt/data"
# Cílová složka na HDD2
DEST_DIR="/mnt/hdd2"
# Logovací soubor
LOG_FILE="/var/log/mirror_sda1_to_sdb1.log"

# Spuštění zrcadlení pomocí rsync s minimálním výstupem
rsync -a --delete -u --info=STATS,COPY,DEL -q $SOURCE_DIR/ $DEST_DIR/ >> $LOG_FILE 2>&1

# Kontrola úspěšnosti zrcadlení
if [ $? -ne 0 ]; then
    echo "Mirroring failed on $(date)" >> $LOG_FILE
else
    echo "Mirroring completed successfully on $(date)" >> $LOG_FILE
fi
